﻿using System.Web.Mvc;
using Syncfusion.DocIO;
using Syncfusion.DocIO.DLS;
using Syncfusion.Mvc.DocIO.Web;
using System.IO;
using System.Text;

namespace DocIOApplication.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index(string button1, string message)
        {
            if (button1 == null)
                return View();

            //Get the HTML file
            string HTMLFile = Server.MapPath(@"Data//Template.html").ToString();
            
            //Creates a new Word document
            WordDocument document = new WordDocument();
            //Adds one section and one paragraph
            document.EnsureMinimal();
            //Append the html string into paragraph
            document.LastParagraph.AppendHTML(System.IO.File.ReadAllText(HTMLFile, Encoding.UTF8));
            //Saves the Word document.
            return document.ExportAsActionResult("Sample.docx", FormatType.Docx, HttpContext.ApplicationInstance.Response, HttpContentDisposition.Attachment);
        }
    }
}